	.386
	.model use32 small
	public _strpbrk
	.code
_strpbrk:
	push	ebp
	mov	ebp,esp
	push	esi
	push	edi
	mov	esi,[8+ebp]
	mov	edx,[12+ebp]
	sub	eax,eax
lp:
	inc	eax
	test	byte ptr [esi],0ffh
	je	short ex1
	mov	edi,edx
	mov	cl,[esi]
	inc	esi
lp1:
	test	byte ptr [edi],0ffh
	je	short lp
	cmp	cl,[edi]
	je	short ex2
	inc	edi
	jmp	short lp1
ex1:
	sub	eax,eax
	jmp	short exit
ex2:
	dec	eax
	add	eax,[8+ebp]
exit:
	pop	edi
	pop	esi
	pop	ebp
	ret
	end











	